| aiengine Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieGbl_RegFldAttr Struct Reference

This typedef contains the attributes for the register bit fields. More...

## Data Fields
u32 | Lsb
| Bit position of the register bit-field in the 32-bit value. More...
u32 | Mask
| Bit mask of the register bit-field in the 32-bit value. More...

## Detailed Description

This typedef contains the attributes for the register bit fields.

## Field Documentation

u32 XAieGbl_RegFldAttr::Lsb

Bit position of the register bit-field in the 32-bit value.

Referenced by XAieDma_ShimBdWrite(), XAieDma_ShimWaitDone(), XAieDma_TileBdWrite(), XAieTile_CoreControl(), XAieTile_CoreReadStatusDone(), XAieTile_CoreWaitStatus(), XAieTile_LockAcquire(), XAieTile_LockRelease(), XAieTile_PlIntcL1BlockNorthVal(), XAieTile_PlIntcL1IrqEventGet(), XAieTile_PlIntcL1IrqNoGet(), XAieTile_PlIntcL1Mask(), XAieTile_PlIntcL1StatusGet(), XAieTile_PlIntfDownszrDisable(), XAieTile_PlIntfDownszrEnable(), XAieTile_PlIntfDownszrSetBypass(), XAieTile_PlIntfStrmWidCfg(), XAieTile_ShimStrmDemuxConfig(), XAieTile_ShimStrmMuxConfig(), XAieTile_StrmConfigMstr(), XAieTile_StrmConfigSlv(), XAieTile_StrmConfigSlvSlot(), and XAieTile_StrmEventPortSelect().

u32 XAieGbl_RegFldAttr::Mask

Bit mask of the register bit-field in the 32-bit value.

Referenced by XAieDma_ShimBdWrite(), XAieDma_ShimPendingBdCount(), XAieDma_ShimWaitDone(), XAieDma_TileBdWrite(), XAieDma_TileChControl(), XAieTile_CoreControl(), XAieTile_CoreReadStatusDone(), XAieTile_CoreWaitStatus(), XAieTile_LockAcquire(), XAieTile_LockRelease(), XAieTile_PlIntcL1BlockNorthClr(), XAieTile_PlIntcL1BlockNorthSet(), XAieTile_PlIntcL1BlockNorthVal(), XAieTile_PlIntcL1Disable(), XAieTile_PlIntcL1Enable(), XAieTile_PlIntcL1IrqEventGet(), XAieTile_PlIntcL1IrqEventSet(), XAieTile_PlIntcL1IrqNoGet(), XAieTile_PlIntcL1IrqNoSet(), XAieTile_PlIntcL1Mask(), XAieTile_PlIntcL1StatusClr(), XAieTile_PlIntcL1StatusGet(), XAieTile_PlIntfDownszrDisable(), XAieTile_PlIntfDownszrEnable(), XAieTile_PlIntfDownszrSetBypass(), XAieTile_PlIntfStrmWidCfg(), XAieTile_ShimStrmDemuxConfig(), XAieTile_ShimStrmMuxConfig(), XAieTile_StrmConfigMstr(), XAieTile_StrmConfigSlv(), XAieTile_StrmConfigSlvSlot(), and XAieTile_StrmEventPortSelect().